Lines Matching refs:package

3 #               This software is part of the ast package               #
21 # package - source and binary package control
24 command=package
41 _AST_BIN_PACKAGE_=1 # prevent non-interactive sh .rc referencing bin/package recursion #
100 @(#)$Id: package (AT&T Research) 2012-06-28 $
102 [+NAME?package - source and binary package control]
105 package files are in the \b$PACKAGEROOT\b directory tree.
106 \b$PACKAGEROOT\b must at minumum contain a \bbin/package\b command or a
107 \blib/package\b directory. Binary package files are in the
118 installed by an \bast\b \bnmake\b(1) makefile. Each package is also
120 provides a content description. The package makefile and component
133 names a particular package. The naming scheme is a \b-\b separated
154 [+DEBUG?Trace the package script actions in detail.]
171 if \"'$admin_ping$'\" fails. If a package list is not specified
184 [+[remote::[[master]]::]]]]PACKAGEROOT?The absolute remote package
187 the master package root directory. If
188 \blib/package/admin/'$admin_env$'\b exists under this
197 \blib/package\b, \bsrc/cmd\b, \bsrc/lib\b.]
251 the package binary hierarchy to \adirectory\a. If
272 \b$INSTALLROOT/lib/package/gen/make.out\b. The build is done in
276 linked to the same directories in the package root. Only one
282 package or archive(s). Must be run from the package root
284 \blib/package/tgz\b. Each package archive is read only once.
285 The file \blib/package/tgz/\b\apackage\a[.\atype\a]]\b.tim\b
295 are listed. \apackage\a may be a package or component name.]
307 action initializes the current directory as a package root, runs the
311 same directories in the package root. Only one architecture may be
317 \b$INSTALLROOT/lib/package/gen/test.out\b. In general a package
320 also specified then only the listed package components are
325 \b$PACKAGEROOT/lib/package/tgz\b. \bbeta\b acesses beta packages;
333 \b$PACKAGEROOT/lib/package/tgz/default.url\b, if it exists, are used.
334 If \b$PACKAGEROOT/lib/package/tgz/default.url\b does not exist then it
347 with the environment initialized for using the package (can you
351 the current directory. For example, to try out bozo`s package:
353 directory. If the file \b$INSTALLROOT/lib/package/profile\b is
364 \bast\b package \bcksum\b(1) command.]
368 directories in the package root. Only one architecture may be
371 a package archive for \apackage\a. All work is done in the
372 \b$PACKAGEROOT/lib/package\b directory. \aformat\a-specific
375 the write time and prevents a package from being read in the
379 \aformat\a subdirectory will contain the package name, a
387 [+cyg?Generate a \bcygwin\b package.]
390 [+lcl?Generate a package archive suitable for
393 [+pkg?Generate a \bpkgmk\b(1) package suitable for
395 [+rpm?Generate an \brpm\b(1) package.]
396 [+tgz?Generate a \bgzip\b(1) \btar\b(1) package
398 [+tst?Generate a \btgz\b format package archive in the
401 [+?\btype\b specifies the package type which must be one of
402 \bsource\b, \bbinary\b or \bruntime\b. A source package
404 package. A binary package includes the libraries and headers
406 A runtime package contains the commands and required dynamic
408 [+?A package may be either a \bbase\b or \bdelta\b. A base
409 package contains a complete copy of all components. A delta
410 package contains only changes from a previous base package.
412 the \bast-base\b package.) If neither \bbase\b nor \bdelta\b is
425 all package references are included in the generated package.
429 the package archive using \bproto\b(1).]
431 [+DETAILS?The package directory hierarchy is rooted at
441 must have a \b$PACKAGEROOT/lib/package\b directory.]
442 [+?Each package contains one or more components. Component source for
447 generic package support files, is always made first, then the
450 [+?\b$PACKAGEROOT/lib/package\b contains package specific files. The
451 package naming convention is \agroup\a[-\apart\a]]; e.g., \bast-base\b,
453 that contain the package name, package components, references to other
454 packages, and a short package description. *\b.pkg\b files are used by
456 [+?\b$PACKAGEROOT/lib/package/\b\agroup\a\b.lic\b files contain license
463 are in the \b$PACKAGEROOT/lib/package/LICENSES\b and
464 \b$INSTALLROOT/lib/package/LICENSES\b directories.]
465 [+?A few files are generated in \b$PACKAGEROOT/lib/package/gen\b and
466 \b$INSTALLROOT/lib/package/gen\b. \apackage\a\b.ver\b contains one line
469 is the package name, \aversion\a is the \aYYYY-MM-DD\a base version,
474 \bINIT\b package. A simple sort of \apackage\a\b.pkg\b and *\b.ver\b
475 determines if the required package have been read in. Finally,
505 package) should be used. Mamfiles are automatically generated by
656 <TITLE>$2 package installation instructions</TITLE>
681 Mpackage='<A href=../../man/man1/package.html>package</A>(1)'
706 Mpackage='package(1)'
720 ${bT}(2)${bD}Choose a package root directory and cd to it. This will be a local work
722 ${bT}(3)${bD}These instructions bypass the ${bI}click to download${eI} package links on the
728 ${bT}(4)${bD}If the ${bB}bin/package${eB} script does not exist then run:${bX}
730 url=\$URL/package
731 (wget -O - \$url||curl -L \$url||hurl \$url) > bin/package
732 chmod +x bin/package${eX}${eD}
733 ${bT}(5)${bD}Determine the list of package names you want from the download site, then
735 bin/package authorize \"${bI}NAME${eI}\" password \"${bI}PASSWORD${eI}\" \\
739 binary package(s); covered and up-to-date packages are not downloaded again unless
740 ${bB}package force ...${eB} is specified. Package content is verified using ${bB}${checksum}${eB}.
741 If the package root will contain only one architecture then you can install in ${bB}bin${eB} and
744 bin/package authorize \"${bI}NAME${eI}\" password \"${bI}PASSWORD${eI}\" \\
747 bin/package setup binary${eX}${eD}
752 ${bT}(7)${bD}You can run the binaries directly from the package root, or you can
754 bin/package flat install ${bI}DIRECTORY PACKAGE${eI}${eX}
763 bin/package setup binary${eX}${eD}${eL}
767 ${bT}(3)${bD}Create the subdirectory ${bB}lib/package/tgz${eB} and download all package archives
769 ${bT}(4)${bD}If the ${bB}bin/package${eB} script does not exist then manually read the ${bB}INIT${eB}
770 binary package:${bX}
771 gunzip < lib/package/tgz/INIT.${bI}YYYY-MM-DD.HOSTTYPE${eI}.tgz |
775 ${TAR} ${TARFLAGS}f -${eX} lib/package/tgz/INIT.${bI}YYYY-MM-DD.HOSTTYPE${eI}.tgz
777 binary package:${bX}
779 cp lib/package/tgz/ratz.${bI}YYYY-MM-DD.HOSTTYPE${eI}.exe bin/ratz
781 bin/ratz -lm < lib/package/tgz/INIT.${bI}YYYY-MM-DD/HOSTTYPE${eI}.tgz
782 ${bT}(5)${bD}Read all unread package archive(s):${bX}
783 bin/package read${eX}
789 The package directory hierarchy is rooted at ${bB}\$PACKAGEROOT${eB}. All source and
796 Each package contains one or more components. Component source for the ${bI}FOO${eI}
800 which contains generic package support files, is always made first, then the
804 ${bB}\$PACKAGEROOT/lib/package${eB} contains package specific files. The package naming
806 are ${bB}ast${eB} ${Mnmake} makefiles that contain the package name, package components,
807 references to other packages, and a short package description. *${bB}.pkg${eB} files
808 are used by ${bF}package write${eF} to generate new source and binary packages.
810 ${bB}\$PACKAGEROOT/lib/package/${eB}${bI}GROUP${eI}${bB}.lic${eB} files contain license information that
816 ${bB}\$PACKAGEROOT/lib/package/LICENSES${eB} and ${bB}\$INSTALLROOT/lib/package/LICENSES${eB}
819 A few files are generated in ${bB}\$PACKAGEROOT/lib/package/gen${eB} and
820 ${bB}\$INSTALLROOT/lib/package/gen${eB}. ${bI}PACKAGE${eI}${bB}.ver${eB} contains one line consisting of${bX}
823 ${bI}PACKAGE${eI} is the package name, ${bI}VERSION${eI} is the ${bI}YYYY-MM-DD${eI} base version,
827 except ${bB}INIT${eB} and ${Mratz} require the ${bB}INIT${eB} package. A simple sort of ${bI}PACKAGE${eI}${bB}.pkg${eB}
828 and *${bB}.ver${eB} determines if the required package have been read in. Finally,
835 file.) ${bF}package release${eF} generates this information, and
836 ${bF}package contents ...${eF} lists the descriptions and components.
839 output of ${bF}package${eF} (no arguments.) The ${bB}\$HOSTTYPE${eB} naming scheme is used
856 ${bB}ast-base${eB} package) should be used. Mamfiles are automatically generated by
857 ${bF}package write${eF}.
860 prototyping C compiler then ${bF}package make${eF} runs ${Mproto} on portions of the
870 ${bF}package install${eF} installs binary packages in a new ${bB}\$INSTALLROOT${eB}.
879 ${bT}(2)${bD}Choose a package root directory and cd to it. This will be a local work
881 ${bT}(3)${bD}These instructions bypass the ${bI}click to download${eI} package links on the
887 ${bT}(4)${bD}If the ${bB}bin/package${eB} script does not exist then run:${bX}
889 url=\$URL/package
890 (wget -O - \$url||curl -L \$url||hurl \$url) > bin/package
891 chmod +x bin/package${eX}${eD}
892 ${bT}(5)${bD}Determine the list of package names you want from the download site, then
894 bin/package authorize \"${bI}NAME${eI}\" password \"${bI}PASSWORD${eI}\" \\
898 source package(s); covered and up-to-date packages are not downloaded again unless
899 ${bB}package force ...${eB} is specified. Package content is verified using ${bB}${checksum}${eB}.
900 If the package root will contain only one architecture then you can install in ${bB}bin${eB} and
903 bin/package authorize \"${bI}NAME${eI}\" password \"${bI}PASSWORD${eI}\" \\
906 bin/package setup source${eX}${eD}
908 (${bB}\$INSTALLROOT${eB}), where ${bI}HOSTTYPE${eI} is the output of ${bB}bin/package${eB} (with no
911 the terminal and captured in ${bB}\$INSTALLROOT/lib/package/gen/make.out${eB}:${bX}
912 bin/package make${eX}${eD}
914 bin/package results${eX}
916 bin/package test${eX}
918 bin/package results test${eX}${eD}
923 ${bT}(9)${bD}You can run the binaries directly from the package root, or you can
926 bin/package flat install ${bI}DIRECTORY PACKAGE${eI}${eX}
935 bin/package setup source
936 bin/package make
937 bin/package test${eX}${eD}${eL}
941 ${bT}(3)${bD}Create the subdirectory ${bB}lib/package/tgz${eB} and download all package archives
943 ${bT}(4)${bD}If the ${bB}bin/package${eB} script does not exist then manually read the ${bB}INIT${eB}
944 source package:${bX}
945 gunzip < lib/package/tgz/INIT.${bI}YYYY-MM-DD${eI}.tgz | ${TAR} ${TARFLAGS}f -${eX}
948 ${TAR} ${TARFLAGS}f -${eX} lib/package/tgz/INIT.${bI}YYYY-MM-DD${eI}.tgz
950 source package, compile it, and manually read the ${bB}INIT${eB}
951 source package:${bX}
953 cp lib/package/tgz/ratz.${bI}YYYY-MM-DD${eI}.c lib/package/tgz/ratz.c
954 cc -o bin/ratz lib/package/tgz/ratz.c
955 bin/ratz -lm < lib/package/tgz/INIT.${bI}YYYY-MM-DD${eI}.tgz
956 ${bT}(5)${bD}Read all unread package archive(s):${bX}
957 bin/package read${eX}
963 within the package root directory tree. See \"$command help intro\" for
964 details. In the following, PACKAGE names either a package or a component
965 within a package; if omitted, all packages are operated on. The default
978 DEBUG Trace the package script actions in detail for debugging.
985 can be viewed by \"package admin [on HOST] results [ACTION]\".
992 If a package list is not specified on the command line the
994 package=list applies action to the packages in list for
999 The host type as reported by package.
1004 The absolute remote package root directory and
1007 master package root directory. If
1008 lib/package/admin/$admin_env exists under
1017 on the remote side: lib/package, src/cmd, src/lib.
1030 by package make.]
1031 contents [ package ... ]
1034 copyright [ package ... ]
1052 converted to package syntax.
1074 Copy the package binary hierarchy to DIR. If ARCHITECTURE is
1084 license [ package ... ]
1095 \$INSTALLROOT/lib/package/gen/make.out. The build is done
1099 linked to the same directories in the package root. Only
1104 read [ package ... | archive ... ]
1105 Read the named package archive(s). Must be run from the
1106 package root directory. Archives are searched for in .
1107 and lib/package/tgz. Each package is read only once. The
1108 file lib/package/tgz/package[.type].tim tracks the read time.
1111 regress diff(1) the current and previous package test results.
1112 release [ [CC]YY-MM-DD [ [cc]yy-mm-dd ] ] [ package ]
1116 be a package or component name.
1127 The action initializes the current directory as a package root,
1131 directories are linked to the same directories in the package
1137 \$INSTALLROOT/lib/package/gen/test.out. In general a package
1140 also specified then only the listed package components are
1146 \$PACKAGEROOT/lib/package/tgz. beta acesses beta packages;
1154 in \$PACKAGEROOT/lib/package/tgz/$default_url, if it exists,
1155 are used. If \$PACKAGEROOT/lib/package/tgz/$default_url does
1169 the environment initialized for using the package (can you say
1173 try out bozo's package: \"package use bozo\". In this case the
1175 \$INSTALLROOT/lib/package/profile is readable then it is
1181 \$INSTALLROOT/lib/package/gen/*.sum. The checksum files contain
1186 package cksum(1) command.
1191 linked to the same directories in the package root. Only one
1195 Write a package archive for PACKAGE. All work is done in the
1196 \$PACKAGEROOT/lib/package directory. FORMAT-specific files
1199 package from being read in the same root it was written. If
1202 File names in the FORMAT subdirectory will contain the package
1209 cyg generate a cygwin package
1214 lcl generate a package archive or delta in the lcl
1217 pkg generate a pkgmk(1) package, suitable for pkgadd(1)
1218 rpm generate an rpm(1) package
1219 tgz generate a gzip(1) tar(1) package archive; this is
1221 tst generate tgz FORMAT package archive in the tst
1223 The package type must be one of source, binary or runtime.
1224 A source package contains the source needed to build the
1225 corresponding binary package. A binary package includes the
1227 against the public interfaces. A runtime package contains
1228 the commands and required dynamic libraries. A package may
1229 be either a base or delta. A base package contains a
1230 complete copy of all components. A delta package contains
1231 only changes from a previous base package. Delta recipients
1232 must have the ast pax(1) command (in the ast-base package.)
1241 package.pkg may reference other packages. By default a
1242 pointer to those packages is written. The recipient package
1245 all package references are included in the generated
1246 package. This may be useful for lcl and versioning. All
1249 package archive using proto(1).
1476 $exec export CDPATH=:..:$A/src/cmd:$A/src/lib:$A/src/uwin:$P/lib/package
2594 */arch/$HOSTTYPE/bin/package)
2634 1) : accept the current package use environment
2760 # check the basic package hierarchy
2765 echo "$command: $PACKAGEROOT: invalid package root directory" >&2
2772 else echo "$command: $hosttype: package root not found" >&2
2781 *) echo "$command: $PACKAGEROOT: must be in the package root directory tree" >&2
2802 # update the basic package commands
3029 *) for i in package proto nmake
3185 PACKAGESRC=$PACKAGEROOT/lib/package
3186 PACKAGEBIN=$INSTALLROOT/lib/package
3198 # HOSTTYPE specific package profile
3200 if test -r $INSTALLROOT/lib/package/profile
3201 then . $INSTALLROOT/lib/package/profile
3308 # determine the package and targets
3335 package=$*
3341 # . is the package root
3367 if test ! -d $PACKAGEROOT/lib/package/tgz
3368 then $exec mkdir -p $PACKAGEROOT/lib/package/tgz || exit
3388 *) package=
3397 ''|-) target="$target $package"
3398 package=
3400 *) if view - src "lib/package/$1.pkg"
3401 then package="$package $1"
3402 else target="$target $package $1"
3403 package=
3486 echo "$command: $INITROOT: INIT package source not found" >&2
3565 000) echo "$command: $i: not found: download the INIT package $HOSTTYPE binary to continue" >&2
3568 010) echo "$command: $i: not found: set CC=C-compiler or download the INIT package $HOSTTYPE binary to continue" >&2
3571 100) echo "$command: $i: not found: download the INIT package source or $HOSTTYPE binary to continue" >&2
3575 1) echo "$command: $i: not found: make the local $EXECTYPE binary package before $HOSTTYPE" >&2
3628 # check package requirements against received packages
3630 requirements() # source|binary [ package ]
3675 *) echo "$command: $i: must read or write package" >&2
3697 base) echo "$command: base package $p.$v or newer required" >&2 ;;
3698 *) echo "$command: delta package $p.$v.$r or newer required" >&2 ;;
3741 # write ordered package prerequisite list to the standard output
3743 order() # [ package ]
3745 _order_t_=lib/package/tgz
3754 do for _order_f_ in $_order_v_/lib/package/*.pkg
3780 *) _order_f_=lib/package/$_order_f_; view - src $_order_f_ && break ;;
3782 echo "$command: $_order_f_: not a package" >&2
3825 do if view - src lib/package/$_order_i_.pkg
3837 # generate the package component list in _components_
3839 components() # [ package ]
3850 *) if view - src lib/package/$p.pkg
3883 else echo "$command: $p: package or component not found" >&2
3912 *) case $package in
3916 *) o=$package
4059 AUTHORIZE="User-Agent: package AT&T Research\\r\\n"
4254 then echo $1 package general copyright notice
4297 cmd="$cmd && { test -f lib/package/admin/$admin_env && . ./lib/package/admin/$admin_env || true ;} && PATH=\${PWD:-\`pwd\`}/bin:\$PATH \${SHELL:-/bin/sh} -c 'package $admin_args PACKAGEROOT=\${PWD:-\`pwd\`} HOSTTYPE=$type VPATH='"
4312 *) filter="egrep lib/package/tgz/($admin_pkgs)\\." ;;
4314 if $exec $rcp $user$name:${root}lib/package/tgz/$lst $PACKAGESRC/tgz
4316 else echo "$command: $user$name:${root}lib/package/tgz/$lst: not found" >&2
4368 view file src lib/package/admin/$admin_db || exit 1
4596 do if view - src "lib/package/$i.pkg"
4763 echo package "$admin_args" "[ $n $t ]"
4779 test -x $PACKAGEROOT/bin/package && $admin_ditto $admin_ditto_update --remote=$rsh --expr="name=='package'" $PACKAGEROOT/bin $user$syncname:$root/bin
4780 test -d $PACKAGESRC && $admin_ditto $admin_ditto_update --remote=$rsh --expr="if(level>1&&path!='LICENSES/*')status=SKIP;path=='LICENSES*|*.(pkg|lic|def)'" $PACKAGESRC $user$syncname:$root/lib/package
4817 test -d $PACKAGESRC && echo $admin_ditto $admin_ditto_update --remote=$rsh --expr="if(level>1)status=SKIP;name=='*.(pkg|lic|def)'" $PACKAGESRC $user$syncname:$root/lib/package
4893 *) W=`grep '^[abcdefghijklmnopqrstuvwxyz][abcdefghijklmnopqrstuvwxyz]*:.' $admin_log/$2 | egrep -cv 'start at|done at|output captured|warning:|: package not found|whence: command not found'` ;;
4989 # generate the package list
4991 set '' $target $package
5017 then echo $command: $action: $pkg: not a package >&2
5097 ?*) echo "${sep}Components in this package:$nl"
5109 # f:file p:package v:version r:release t:type u:update
5146 do if test -f $PACKAGEROOT/arch/$i/lib/package/gen/host
5147 then h=`cat $PACKAGEROOT/arch/$i/lib/package/gen/host`
5165 # generate the package list
5167 set '' $target $package
5195 set '' $target $package
5210 set '' $package
5218 0) echo "$command: at least one package name expected" >&2
5222 package=$*
5223 requirements - $package
5276 for i in $package
5279 elif test -f arch/$a/lib/package/gen/$i.sum
5280 then package_install $directory arch/$a/lib/package/gen/$i.sum || code=1
5299 cd lib/package
5310 cd lib/package
5329 # generate the package list
5331 set '' $target $package
5363 *) echo "$command: $i: package license not found" >&2
5388 case $package in
5389 '') lic="lib/package/*.lic"
5391 *) for i in $package
5392 do lic="$lic lib/package/$i.lic"
5394 *-*) lic="$lic lib/package/"`echo $i | sed 's,-.*,,'`".lic" ;;
5400 requirements source $package
5401 components $package
5402 package=$_components_
5466 for i in bin bin/$OK bin/$OK/lib fun include lib lib/package lib/package/gen src man man/man1 man/man3 man/man8
5510 do i=lib/package/$i
5535 t=$INSTALLROOT/lib/package/gen/$c.tim
5548 $s*) cd $INSTALLROOT/lib/package/gen
5629 '') cd $INSTALLROOT/lib/package/gen
5856 then : no need to generate ksh next -- it could be the only package
6020 eval capture \$MAKE \$makeflags \$nmakeflags \$noexec recurse \$target \$nmakesep \$package $assign
6027 *) echo "$command: must be in package root directory" >&2
6051 set '' $package $target
6054 set '' `ls lib/package/$tgz/*?[_.][0123456789][0123456789][0123456789][0123456789]-[0123456789][0123456789]-[0123456789][0123456789][_.]* 2>/dev/null`
6064 elif test -f "lib/package/$tgz/$f"
6065 then f=lib/package/$tgz/$f
6069 else set '' `ls -r lib/package/$tgz/${f}[_.][0123456789][0123456789][0123456789][0123456789]-[0123456789][0123456789]-[0123456789][0123456789][_.]* 2>/dev/null`
6072 else echo "$command: $f: package archive not found" >&2
6080 '') echo "$command: lib/package/$tgz: no package archives" >&2
6119 *) echo "$command: $f: not a package archive" >&2
6128 # f:file d:dir a:base p:package v:version r:release t:type
6145 *) w=$PACKAGEROOT/arch/$t/lib/package
6166 INIT) if test -f $PACKAGEROOT/bin/package
6167 then $exec mv $PACKAGEROOT/bin/package $PACKAGEROOT/bin/package.old
6376 if test ! -f $PACKAGEROOT/bin/package -a -f $PACKAGEROOT/bin/package.old
6377 then $exec cp $PACKAGEROOT/bin/package.old $PACKAGEROOT/bin/package
6401 then echo "$command: 'package make' and 'package test' required for regression" >&2
6438 requirements source $package
6439 components $package
6440 package=$_components_
6471 0) case $package in
6472 '') package=* ;;
6475 *) case $package in
6476 '') package=$*
6500 for i in $package
6675 test) requirements source $package
6676 components $package
6677 package=$_components_
6700 eval capture \$MAKE \$makeflags \$noexec \$only recurse test \$target \$nmakesep \$package $assign
6705 # all work in $PACKAGEROOT/lib/package/tgz
6707 if test ! -d $PACKAGEROOT/lib/package/tgz
6708 then $exec mkdir -p $PACKAGEROOT/lib/package/tgz || exit
6709 $exec cd $PACKAGEROOT/lib/package/tgz
6710 else cd $PACKAGEROOT/lib/package/tgz
6812 # get/check the package names
7160 *) echo $command: $name: unknown package >&2
7224 requirements binary $package
7239 do case $package in
7240 '') set '' arch/$a/lib/package/gen/*.sum
7249 *) for i in $package
7250 do if test -f arch/$a/lib/package/gen/$i.sum
7251 then package_verify arch/$a/lib/package/gen/$i.sum || code=1
7252 else echo "$command: warning: $a: no binary package for $i" >&2
7298 set '' "$@" $package
7306 0) echo "$command: at least one package name expected" >&2
7324 for package
7325 do if view - all $package.pkg || view - all lib/package/$package.pkg
7326 then eval capture \$MAKE \$makeflags -X ignore \$noexec -f \$package.pkg \$qualifier \$action $assign
7327 else echo "$command: $package: not a package" >&2
7332 TEST) set '' $target $package